Bug 32804 - %configure in spec file comment runs configure twice
Summary: %configure in spec file comment runs configure twice
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: ntp (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-23 07:04 UTC by kenneth_porter
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-25 23:30:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kenneth_porter 2001-03-23 07:04:37 UTC
RPM macros in spec files are expanded even when within a comment. In the spec file for ntp-4.0.99k-13, the line "#%configure" is expanded 
and the results are executed. This causes configure to run twice.

Comment 1 Brian Brock 2001-03-25 23:30:15 UTC
I can verify that, and the package builds in spite of the bug in the spec file. 
However, #%configure is on a line by itself, and there are no other uses of the
%configure macro within that spec file:

# XXX work around for anal ntp configure
%define _target_platform        %{nil}
#%configure
CFLAGS="-g -DDEBUG" ./configure --prefix=/usr
%undefine       _target_platform


Comment 2 Preston Brown 2001-03-26 15:32:04 UTC
fixed in 4.0.99k-14 and later.



Note You need to log in before you can comment on or make changes to this bug.